ru.bitel.bgbilling.modules.inet.api.server.event

## Class InetServModifiedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.modules.inet.api.server.event.InetServModifiedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class InetServModifiedEvent
      extends Event

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `InetServModifiedEvent()`
    `` | `InetServModifiedEvent(int moduleId, int contractId, int userId, InetServ oldInetServ, InetServ newInetServ, java.util.List<InetServOption> newInetServOptionList)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InetServ` | `getNewInetServ()`
    `java.util.List<InetServOption>` | `getNewInetServOptionList()` Список опций, привязанных к сервису, null означает, что список не изменялся.
    `InetServ` | `getOldInetServ()`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InetServModifiedEvent

          protected InetServModifiedEvent()

    - #### InetServModifiedEvent

          public InetServModifiedEvent(int moduleId,
                                       int contractId,
                                       int userId,
                                       InetServ oldInetServ,
                                       InetServ newInetServ,
                                       java.util.List<InetServOption> newInetServOptionList)

  - ### Method Detail

    - #### getOldInetServ

          public InetServ getOldInetServ()

    - #### getNewInetServ

          public InetServ getNewInetServ()

    - #### getNewInetServOptionList

          public java.util.List<InetServOption> getNewInetServOptionList()

      Список опций, привязанных к сервису, null означает, что список не изменялся.
      Returns: